> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/ota-beta/enable-or-disable-transactions-to-ota",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Enable or disable transactions to OTA

> Enable or disable transactions to One Time Addresses (Non Whitelisted addresses).
Learn more about [One Time Addresses](https://support.fireblocks.io/hc/en-us/articles/4409104568338-One-Time-Address-OTA-feature)



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml put /management/ota
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /management/ota:
    put:
      tags:
        - OTA (Beta)
      summary: Enable or disable transactions to OTA
      description: >-
        Enable or disable transactions to One Time Addresses (Non Whitelisted
        addresses).

        Learn more about [One Time
        Addresses](https://support.fireblocks.io/hc/en-us/articles/4409104568338-One-Time-Address-OTA-feature)
      operationId: setOtaStatus
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SetOtaStatusRequest'
      responses:
        '202':
          description: Successfully updated OTA status
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SetOtaStatusResponse'
        '400':
          description: Bad request
        '409':
          description: Similar request already pending
        '500':
          description: Internal server error
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<SetOtaStatusResponse>> =
            fireblocks.oTABeta.setOtaStatus(oTABetaApiSetOtaStatusRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<SetOtaStatusResponse>> response =
            fireblocks.oTABeta().setOtaStatus(setOtaStatusRequest,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.o_t_a_beta.set_ota_status(set_ota_status_request,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    SetOtaStatusRequest:
      type: object
      properties:
        enabled:
          type: boolean
          description: Set true or false to enable or disable OTA transactions
    SetOtaStatusResponse:
      oneOf:
        - type: object
          properties:
            message:
              type: string
              description: >-
                Message indicating the result of the operation for example when
                no config change is needed
              example: No change needed. The current status is false
        - type: string
          description: >-
            Message indicating the result of the operation when config was
            successfully updated
          example: Accepted
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````